//	Ports.h							   05.09.2013


#define		BTN1		RB2 		// Button 1 (input)
#define		CHTM		RB3		// Parachute Main (output)
#define		CHTA		RB4		// Parachute Auxiliary (out)
#define		IGNT		RB5		// Ignition (out)
#define		_PWMZ		RB6		// PWMZ (out)
#define		PWMZ		RB7		// inversion (out)

#define		DRAX		RB1		// Data Ready Accel (out)
#define		BTN2		RD7		// Button 2 (in)
#define		LEDY		RD5		// LEDY (out)
#define		WAKE		RD2		// Motors' Drivers switch on (out)
#define		MERR		RD0		// Motors failure (in)
#define		PWMX		RC1		// PWMX (out)
#define		BEEP		RA4		// BEEP (out)
#define		CURX		RA2		// Motor X current (in)

#define		PWON		RB0		// Whole the system switch on (in)
#define		DRGR		RD6		// Data Ready Gyro (out)
#define		LEDX		RD4		// LEDX (out)
#define		_PWMX		RD1		// PWMX inversion (out)
#define		SCL		RC3		// I2C clock 
#define		PWLO		RC0		// Power accus low LED (out)
#define		CURY		RA3		// Motor Y current (in)
#define		CURZ		RA1		// Motor Z current (in)

#define		GBMY		RA5		// Master Y Gymbal position (in)
#define		GBMX		RE0		// Master X Gymbal position (in)
#define		GBSY		RE1		// Slave Y Gymbal position (in)
#define		GBSX		RE2		// Slave X Gymbal position (in)
#define		PWMY		RC2

#define		RX		RC7		// COM (in)
#define		TX		RC6		// COM (out)
#define		BTN3		RC5		// Button 3 (in)
#define		SDA		RC4		// I2C data
#define		_PWMY		RD3		// PWMY inversion (out)
#define		PWRL		RA0		// Power accus level (in)

