//		Timer0.c					   2005.11.14

/////////////////////////////////////////////////////////////////////////////

void	Init_Timer0(void)						// Ok
{
//	0 x 0 x 0 000 == OPTION (Pic16F84a)
//	 \ \ \ \ \ \\\_Prescaler Rate       -- 1:2
//	  \ \ \ \ \___Prescaler Assignment -- Timer0
//	   \ \ \ \___Timer0 Source Edge   -- low-to-high
//	    \ \ \___Timer0 Clock Source  -- internal
//	     \ \___Interrupt Edge       -- falling
//	      \___Pull-ups             -- enable

TMR0 = 0;	// Clear Timer0	-- see Errata for Pic16F84a
CLRWDT();	//

PSA = 1;	// Prescaler Assignment -- WDT

PS0 = 1;	// Prescaler
PS1 = 0;	// rate
PS2 = 0;	// = 1:4

T0CS = 0;	// Timer0 Clock Source -- internal
T0SE = 0;	// Timer0 Source Edge -- low-to-high
INTEDG = 0;	// Interrupt Edge -- falling

T0IF = 0;	// Clear interrupt for Timer0.
T0IE = 1;	// Enable interrupt for Timer0.
}

/////////////////////////////////////////////////////////////////////////////
