#include <htc.h>        /* HiTech General Include File */
#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

/******************************************************************************/
/* Interrupt Routines                                                         */
/******************************************************************************/

void	PWM_Irq(void);
void	Usart_Rc_Irq(void);

void interrupt isr(void)
{
//---------------------------------------------------------------------------

if (T0IF == 1)			// Timer0 interrupt (14400 Hz)
   {
   PWM_Irq();
   T0IF = 0;			// Clear interrupt
   }

if (RCIF == 1)
   {
   Usart_Rc_Irq();
   }

//---------------------------------------------------------------------------
}

